/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package lib;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;

/**
 *
 * @author _yy
 */
public class GraplLib implements GraplFacade {

    public Graph createEmptyGraph() {
        return (new Graph());
    }



    public void print(List l) {
        Iterator it = l.iterator();
        System.out.print("list: ");
        while (it.hasNext()) {
            Node n = (Node) it.next();
            System.out.print(n.getName() + " ");
        }
        System.out.println();
    }

    public void print(Node e) {
        if (e.isVisit()) {
            System.out.println("node " + e.getName() + ": visited.");
        }
        else
        {
            System.out.println("node " + e.getName() + ": not visited.");
        }
    }

    public List buildList(Node... n) {
        List l = new List();
        l.addAll(Arrays.asList(n));
        return l;
    }

    public void print(Graph p) {
        p.infoGraph();
    }

    public int lengthList(List l) {
        return l.size();
    }

    public void print(boolean b) {
        System.out.println(b);
    }

    public void print(double i) {
        System.out.println(i);
    }

    public void print(String s) {
        System.out.println(s);
    }

    public Node head(List l) {
        return (Node) l.get(0);
    }

    public List tail(List l) {
        Object temp = l.get(0);
        l.remove(temp);
        return l;
    }


}